net.i2p.client.streaming

## Class TCBShare

- java.lang.Object
- - net.i2p.client.streaming.TCBShare

-      class TCBShare
      extends Object

  Share important TCP Control Block parameters across Connections to the same remote peer. This is intended for "temporal" sharing at connection open/close time, not "ensemble" sharing during a connection. Ref. RFC 2140. There is a TCB share per ConnectionManager (i.e. per local Destination) so that there is no information leakage to other Destinations on the same router.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCBShare(I2PAppContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stop()`
    `void` | `updateOptsFromShare(Connection con)`
    `void` | `updateShareOpts(Connection con)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TCBShare

          public TCBShare(I2PAppContext ctx)

  - ### Method Detail

    - #### stop

          public void stop()

    - #### updateOptsFromShare

          public void updateOptsFromShare(Connection con)

    - #### updateShareOpts

          public void updateShareOpts(Connection con)